Skip to main content
`Ctrl`+`K`

# DMForestSetGradeFactor

During the pre-setup phase, set the desired amount of grading in the mesh, e.g. give 2 to indicate that the diameter of neighboring cells should differ by at most a factor of 2.

## Synopsis

    #include "petscdmforest.h"
    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMForestSetGradeFactor(DM dm, PetscInt grade)

Logically Collective

## Input Parameters

- dm - the forest

- grade - the grading factor

## Note

Subtypes of `DMFOREST` may only support one particular choice of grading factor.

## See Also

`DM`, `DMFOREST`, `DMForestGetGradeFactor()`

## Level

advanced

## Location

src/dm/impls/forest/forest.c

Index of all DMForest routines
Table of Contents for all manual pages
Index of all manual pages